Red Hat Linux/x86 7.2 Release Notes
---------------------------------------------

Anaconda/Installer Notes
------------------------

 Bootloader
 ----------

   - We now use GRUB as the default boot loader.  However, LILO is still
     available for legacy installations.  

   - GRUB supports a password that controls access to the GRUB shell;
     because of GRUB's ability to run arbitrary commands, this can be an
     important aspect in maintaining system security.  Please
     carefully consider the implications of this before deciding
     whether or not to set a GRUB password.  This password is
     encrypted using MD5; see the grub-md5-crypt man page for more
     information.

   - When performing an upgrade from a previous version of Red Hat Linux,
     it is necessary to write the boot loader out to the same location
     that was used in the previous installation. For example, if the
     boot loader was written to the master boot record (MBR) originally,
     when the system is upgraded you must write the boot loader to
     the MBR as well.  Otherwise, the system will most likely not be 
     able to boot.
     
   - If you are using the GRUB boot loader, please note that you do not
     have to re-run GRUB after upgrading your kernel.  This is different
     from the LILO boot loader, which required re-running LILO after each
     change.  Simply modifying GRUB's configuration file
     (/boot/grub/grub.conf) to point to your new kernel will allow GRUB to
     boot it.

   - If you decide to switch to using the GRUB boot loader after
     installation, or you need to reinstall GRUB, you may do so using the
     /sbin/grub-install command.  The command syntax must include the
     device specification showing where the boot loader should be
     installed.

     Example:
               /sbin/grub-install /dev/hda

   - To boot into single-user mode from GRUB, do the following from
     the GRUB menu screen:

         1.  Select the desired kernel.

         2.  Press the 'e' key to edit that entry.

         3.  Use the arrow keys to navigate to the kernel line
             (for example: kernel /vmlinuz-2.4.7-1 ro root=/dev/hda2)

         4.  Press the 'e' key to edit the line.

         5.  Add the argument 'single' to the end of the line and
             press return.

         6.  Press the 'b' key to boot.


 Partitioning
 ------------

   - The Disk Druid user interface has been redesigned to incorporate an
     interface that takes better advantage of a graphical environment.

   - Disk Druid can now create primary partitions by specifying a cylinder
     range.

   - Disk Druid now supports the ability to specify that a new partition
     must be created as a primary partition.

   - Text mode installations now have support for creating RAID devices.

   - Specifying spare drives for RAID devices is now supported.

   - Autopartitioning now allows you to specify which drives to use, and
     which to avoid touching at all.

   - There is now an option to view and edit the results of
     autopartitioning (for graphical installations only -- under text mode
     you will always see the results).

   - The ext3 journaling filesystem is now available.

   - Pre-existing filesystems may be selected for reformatting during the
     installation.

   - Pre-existing ext2 filesystems may be migrated to ext3 during installs
     and upgrades.  This process does not affect the data on the filesystem.

   - Many additional sanity checks are made against user-created mount
     points; this should avoid most common problems (such as a '/' mount
     point of only 5 MB).

   - GNU Parted is now used as the partitioning backend, replacing the
     libfdisk library.

     Parted determines the filesystem type by examining the actual
     filesystem written onto a partition, instead of relying on the
     filesystem type written in the partition table.  This can lead to
     confusing situations when there are preexisting partitions.

     For example, if you use fdisk to change the partition type of a VFAT
     partition to ext2, parted will still see this as a VFAT partition
     because there is still a VFAT filesystem on it.  In this example, you
     must explicitly reformat the partition as ext2 via the Disk Druid
     interface before the partition will be treated as ext2.  Anytime you
     use fdisk inside the installer, and then proceed to the Disk Druid
     screen to set mount points, you should also review and edit each
     partition (in Disk Druid) and appropriately set its format options.

 Kickstart
 ---------
 
   - During the installation process, a kickstart file reflecting the
     user-selected installation options is written to
     /root/anaconda-ks.cfg.  This file can be used to create a installation
     similar to the newly-installed system.

   - Kickstart runs in graphical mode (when this mode is available.
     However, it can be switched back to text mode by using the 'text'
     directive in the kickstart file

   - Kickstart Configurator (ksconfig) now supports creating partitions on
     a specific drive and an existing drive, configuring X, writing
     pre-installation and post-installation scripts, performing an upgrade,
     and the new kickstart features present in this release.  It also
     allows users to preview their choices before saving the file, and has
     an integrated manual to assist in easy kickstart file creation.

   - Kickstart has several new features/directives:

     interactive -- reads in kickstart file, goes through install with UI
                    filled in with kickstart values.  It will wait for user
                    input at each screen.

     text -- forces kickstart to run in text mode. The default is now to
             run in graphical mode.

   - The clearpart directive now accepts a --ondisk option:

     --ondisk -- you can specify which drives to create partitions on now.

   - A new command for bootloader, 'bootloader' which supports the
     following:

     --append <args> -- append <args> on the kernel line

     --useLilo -- use LILO instead of GRUB

     --md5pass <crypted MD5 password> -- password for GRUB to use

   - Added flags for xconfig directive to define:

     --resolution 1024x768 -- set screen resolution (1024 by 768 in this
                              example)

     --depth 16 -- set display color depth (set to 16-bit color in this
                   example)

 Miscellaneous
 -------------

   - The drivers.img driver disk image has been split into multiple disk
     images.  For more information, please read the README file in the
     images/ directory on CD #1 (or in the install tree you are using for
     network installs).

   - The individual package selection screen now supports a flat view of
     all packages.

   - For FTP-based installations, it is now possible to loopback mount the
     Red Hat Linux ISO images on an FTP server.  The ISO images should be
     loopback mounted as /disc1, /disc2, and so on -- in the same
     directory.  This directory should be then be specified when an
     FTP-based installation is started.

   - In order to maximize space in the install image, the BusyBox program
     now provides support for many commonly-used commands.

   - Rescue mode now prompts before attempting to mount filesystems from
     the installed system.

   - Partitionless installations are no longer supported; however, upgrades
     to previous partitionless installations are still supported.

   - USB floppy devices are now supported during installation.


Distribution General Notes
--------------------------

   - There are known issues upgrading Red Hat Linux 6.x, 7.0, and 7.1
     systems running Ximian GNOME.

     The issue is caused by version overlap between the official Red Hat
     Linux RPMs and the Ximian RPMs.  Please be aware that this is a
     configuration unsupported by Red Hat.  You have several choices in
     resolving this issue:

     - You may remove Ximian GNOME from your Red Hat Linux system prior to
       upgrading Red Hat Linux.

     - You may upgrade Red Hat Linux, and then immediately reinstall Ximian
       GNOME.

     - You may upgrade Red Hat Linux, and then immediately remove all
       remaining Ximian RPMs, and replace them with the corresponding Red
       Hat Linux RPMs.

     You *must* resolve the version overlap using one of the above choices.
     Failure to do so will result in an unstable GNOME configuration.

   - GNOME has been updated to 1.4 and includes the Nautilus graphical
     shell.

   - The GNOME control center has been replaced by the 'preferences:'
     folder in Nautilus. Running 'gnomecc' manually should still work.

   - The PowerTools CD is no longer being produced.  However, the most
     widely-used packages which were in PowerTools have been included in
     Red Hat Linux.
 
   - Firewall Configuration -- For added security, you can configure a
     firewall as part of your system installation.  You can choose from two
     levels of security, as well as choosing which common system services
     should be allowed or disallowed by default.

     Please note that both 'medium' and 'high' firewall settings will cause
     RPC-based services (such as NIS or NFS) to be blocked, and thus fail.

   - XFree86 updated to 4.1.0, and includes improved hardware support.  3D
     hardware acceleration for the ATI Radeon is now included.  Most video
     drivers now support the RENDER extension, providing anti-aliased font
     support to a wider range of hardware.  The old XIE and PEX (Phigs) X
     extensions are now officially deprecated by the XFree86 team, and will
     be removed from a future release of Red Hat Linux.

   - XFree86 3.3.6 is now deprecated and will be removed from a future
     release of Red Hat Linux.  It is currently included for compatibility.

   - The initscripts now use /sbin/ip (from the iproute packages) for most
     operations. /sbin/ip requires the netlink and netlink routing features
     of the kernel to function properly; it is impossible to make use of
     the kernel's full routing functionality without these features. If you
     are building your own kernel, make sure that CONFIG_NETLINK and
     CONFIG_RTNETLINK are enabled.

   - Initial unified support for Korean has been added.

   - Binutils and gcc now support merging string constant duplicates across
     whole binaries or shared libraries (previously duplicates have been
     merged within a single compilation unit only).

   - gcc-3.0 is included for those who need standards-compliant C++ or STL
     support, and for those who want to use the Java features of gcc.  Note
     that the supported system compiler for C and C++ is still gcc-2.96
     (Red Hat).

   - The VNC package now supports a new encoding type for low-bandwidth
     connections.

   - Red Hat Linux now includes the first release of the Gnome XSLT
     processor (xsltproc) using version 2 of the associated XML library.

   - ODBC-support has been added to php, postgresql have been updated to
     7.1.2, python interfaces have been added, and perl interfaces
     updated.

   - Several new configuration tools are included. With these tools you can
     configure:

       -  network (redhat-config-network)
       -  time/date (redhat-config-date)
       -  system control (redhat-config-services)
       -  users/groups (redhat-config-users)
       
   - The following packages/features are deprecated, and may be removed
     in a future Red Hat Linux release:
     
       - Netscape 4.x
       - Qt 1.x
       - KDE v1 compatibility libraries/build environment
       - Red Hat Linux 6.x build environment
       - Enlightenment window manager
       - linuxconf
       - ncpfs
       - mars_nwe
       - XFree86 3.3.x
       - kaffe

Kernel Notes
------------

   - The kernel now includes the ext3 journalling filesystem. This
     filesystem has 3 modes of operation:

       - 'ordered'
       - 'journal'
       - 'writeback'

     The default is 'ordered', which will make sure that after a crash you
     should always see valid data in recently-written files.

     The 'writeback' mode can be faster in some cases, but it does not
     force data to disk so rigorously; therefore, after a crash you may see
     corruption in recently-written files.

     The 'journal' mode copies all data to the journal, and can result in
     great speed boosts if you are performing lots of synchronous data
     writes (for example, on mail spools or synchronous NFS servers).
     However, in normal use 'journal' mode is usually significantly slower.

     The mode is set by using the 'data=<mode>' mount option in /etc/fstab
     or as 'mount -o data=<mode>' on the mount command line.

     Normally, an ext2 filesystem is checked automatically once either a
     certain period of time or a given number of mounts have passed since
     the filesystem was last checked.  At these times, a full 'fsck' (file
     system check) of the filesystem will be forced at system boot time in
     order to check the integrity of the filesystem.

     When the installer creates an ext3 filesystem or upgrades an ext2
     filesystem to ext3, it disables these automatic checks.  Use 'tune2fs'
     with the '-c' and/or '-i' options to re-enable them, or to disable
     them on ext3 filesystems that you create manually.

     Note that these cleanup fsck scans have nothing to do with the
     filesystem's behavior when an error is discovered on disk, or when
     a crash occurs.  If a filesystem consistency error is found on
     disk, then on subsequent reboot a fsck will always be forced, both
     for ext2 and ext3 filesystems.  If a crash occurs on an otherwise
     intact filesystem, ext2 will always force a fsck, and ext3 will
     always perform its filesystem recovery step; these cleanups are not
     affected by the 'tune2fs' forced-check interval settings.

     Please keep in mind that even a journaling file system can be damaged
     by power loss.  When a system loses power, that system's behavior is
     undefined.  For example, memory contents can decay (become randomly
     corrupt) as the contents are copied to a hard drive running on the
     last bit of power.  This is a fundamentally different situation from
     the more defined sequence of events caused by pressing the system's
     "reset" button while the system is running.  In addition, IDE hard
     drives do not provide all of the write order guarantees that SCSI
     drives do.

     Therefore, after a system crash, you will be offered a chance to
     choose to check the integrity of your filesystems.  The file
     /.autofsck is the "crash flag" used to provide this functionality.
     You will be given five seconds to type "y" to check your filesystems
     during a boot after your system has crashed for any reason.

   - Red Hat Linux will install a kernel optimized for Athlon processors on
     systems with an Athlon-class CPU.  Due to the optimization, this will
     put a greater load on the system components.  Therefore, a very small
     number of machines may fail to boot as a result of the hardware not
     strictly conforming with AMD's specifications and thus being unable to
     cope with the load.  On such systems, you can either upgrade the
     hardware (under-powered power supply units can cause this) or use the
     rescue capability of the installer to install an i686 kernel.

   - Some Athlon-class machines are out-of-spec or have overly aggressive
     chipset configurations set by their BIOS.  On these systems, you
     may see random "Oops" messages at boot time (after successfully
     completing the install process) and will be unable to boot successfully.
     On these systems, boot with the "noathlon" option to turn off the
     athlon optimizations; install the 686 kernel instead of the athlon
     kernel to avoid this for the future.

Printing Notes
--------------

   - The printconf system now provides a printconf-tui program, for text-mode
     printer configuration.

   - The printconf-tui program provides command line import and export
     capabilities. The import can merge printer definitions with those that
     are already present, or it can override them (the default).

     Example:

         printconf-tui --Xexport > settings.xml

         printconf-tui --Ximport < settings.xml
     or:
         printconf-tui --Ximport --merge < settings.xml

     Combined with redirection -- such as bash's 'here documents' (see the
     bash man page for more information) -- it is now easy to put printer
     setups into kickstart files.

   - The printconf-tui program can clear settings completely.

     Example:

          printconf-tui --Xclear

   - The printconf tools now provide limited printer auto-detection.

   - redhat-config-printer-tui and redhat-config-printer-gui alias
     printconf-tui and printconf-gui, respectively.
     
   - Ghostscript has been updated to 6.51, and supports many additional
     drivers, as well as encrypted PDF files.

   - Support has been added for Hewlett Packard's hpijs ghostscript
     print drivers. Though they are not shipped with the distribution,
     due to license restrictions, they can be downloaded from the project
     site at: http://hpinkjet.sourceforge.net, and should work as drop-in
     components.

i386 7.2
